/*
 * Copyright (C) 2006-2007 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

package com.funambol.syncml.protocol;

/**
 * Common definitions for SyncML protocol.
 */
public class SyncML {
    
    //---------------------------------------------------------------- Constants
    
    // SyncML tags
    public static final String TAG_ALERT            = "Alert"         ;
    public static final String TAG_ADD              = "Add"           ;
    public static final String TAG_CMD              = "Cmd"           ;
    public static final String TAG_CMDID            = "CmdID"         ;
    public static final String TAG_CMDREF           = "CmdRef"        ;
    public static final String TAG_DATA             = "Data"          ;
    public static final String TAG_DELETE           = "Delete"        ;
    public static final String TAG_FORMAT           = "Format"        ;
    public static final String TAG_ITEM             = "Item"          ;
    public static final String TAG_LOC_URI          = "LocURI"        ;
    public static final String TAG_MSGID            = "MsgID"         ;
    public static final String TAG_MSGREF           = "MsgRef"        ;
    public static final String TAG_SOURCE_PARENT    = "SourceParent"  ;
    public static final String TAG_TARGET_PARENT    = "TargetParent"  ;
    public static final String TAG_REPLACE          = "Replace"       ;
    public static final String TAG_SOURCEREF        = "SourceRef"     ;
    public static final String TAG_STATUS           = "Status"        ;
    public static final String TAG_SYNC             = "Sync"          ;
    public static final String TAG_SYNCBODY         = "SyncBody"      ;
    public static final String TAG_SYNCHDR          = "SyncHdr"       ;
    public static final String TAG_SYNCML           = "SyncML"        ;
    public static final String TAG_TARGET           = "Target"        ;
    public static final String TAG_TARGETREF        = "TargetRef"     ;
    public static final String TAG_TYPE             = "Type"          ;
    
    //Alert Codes
    public static final int ALERT_CODE_FAST                 = 200     ;
    public static final int ALERT_CODE_SLOW                 = 201     ;
    public static final int ALERT_CODE_ONE_WAY_FROM_CLIENT  = 202     ;
    public static final int ALERT_CODE_REFRESH_FROM_CLIENT  = 203     ;
    public static final int ALERT_CODE_ONE_WAY_FROM_SERVER  = 204     ;
    public static final int ALERT_CODE_REFRESH_FROM_SERVER  = 205     ;
    public static final int ALERT_CODE_TWO_WAY_BY_SERVER    = 206     ;
    public static final int ALERT_CODE_ONE_WAY_FROM_CLIENT_BY_SERVER = 207;
    public static final int ALERT_CODE_REFRESH_FROM_CLIENT_BY_SERVER = 208;
    public static final int ALERT_CODE_ONE_WAY_FROM_SERVER_BY_SERVER = 209;
    public static final int ALERT_CODE_REFRESH_FROM_SERVER_BY_SERVER = 210;
            
            
    //------------------------------------------------------------- Private Data
            
    //--------------------------------------------------------------- Properties
            
    //------------------------------------------------------------- Constructors
            
    /**
     * No instances of this class
     */
    private SyncML() {

    }
    
    //----------------------------------------------------------- Public Methods
    
    //-----------------------------------------------------------Private Methods
    
}

